/*
 * @Author: Chi Yao 
 * @Date: 2019-11-12 19:30:51 
 * @Last Modified by: Chi Yao
 * @Last Modified time: 2019-11-12 20:08:35
 */
const YoLinkHttpAPI = require("../Http/yolink");
const expect = require("chai").expect;

describe("Test Add Device In Http API", function () {
    this.timeout(10000);
    before(function (done) {
        // Noting to do
        done && done();
    });

    after(function (done) {
        // Noting to do
        done && done();
    });

    beforeEach(function (done) {
        // Noting to do
        done && done();
    });

    it("Add yolink device success when sn is right", function (done) {
        YoLinkHttpAPI.Manage.addYoLinkDevice("294918EA4E9B45BCBA679D861C833144", (err, result) => {
            expect(err).to.eql(undefined);
            done();
        });
    });


    it("Should Throw Error When sn is wrong", function (done) {
        YoLinkHttpAPI.Manage.addYoLinkDevice("sn", (err, result) => {
            expect(err.code).to.eql("020101");
            done();
        });
    });
});


describe("Test Infrared Remoter In Http API", function () {
    this.timeout(10000);
    before(function (done) {
        // Noting to do
        done && done();
    });

    after(function (done) {
        // Noting to do
        done && done();
    });

    beforeEach(function (done) {
        // Noting to do
        done && done();
    });

    it("Should Throw Error When device token error", function (done) {
        YoLinkHttpAPI.InfraredRemoter.send({ deviceId: "d88b4c000001ee47", token: "******" }, 2, (err, result) => {
            expect(err.code).to.eql("000103");
            done();
        });
    });
});