/*
 * @Author: Chi Yao 
 * @Date: 2019-01-19 12:21:02 
 * @Last Modified by: Chi Yao
 * @Last Modified time: 2019-02-23 09:42:24
 */
const EventEmitter = require('events').EventEmitter;
const util = require("util");

function Proxy(){
    this.timeout = 8000;
    EventEmitter.call(this);
}
util.inherits(Proxy, EventEmitter);

Proxy.prototype.addItem = function(key,call){
    this.once(`p${key}`,call);
    setTimeout(()=>{
        this.emit(`p${key}`,new Error("000101"));
    },this.timeout);
}
Proxy.prototype.triggerItem=function(key,message){
    this.emit(`p${key}`,undefined,message);
}
module.exports = Proxy;